Subject: Re: [AVT] I-D ACTION:draft-ietf-avt-mpeg4-simple-08.txt

From: [email-masked]
Date: Thu, 4 Sep 2003 10:52:38 +0200

Trevor, all,

This new draft incorporates all comments and suggestions provided during 
IESG Last Call review. The changes are summarized below:

- a new paragraph to conclude section 5 is added to address the expressed 
concerns on "security":

"  Implementors of MPEG-4 streaming over RTP who also implement MPEG-4 
   scripts (subset of ECMAScript) MUST ensure that the action of such 
   scripts is limited solely to the domain of the single presentation 
   in which they reside (thus disallowing session to session 
   communication, access to local resources and storage, etc). Though 
   loading static network-located resources (such as media) into the 
   presentation should be permitted, network access by scripts MUST be 
   restricted to such (media) download."

- new title ("Signaling by MIME format parameters") of section 2.1 (in ToC 
and in body)

- modification of section 2.4; from the first sentence of section 2.4 "so 
as to avoid IP layer fragmentation" is removed and after the first 
sentence the following is added: "Hence when an IP packet is lost after 
IP-level fragmentation, only an AU fragment may get lost instead of the 
entire AU". 

-  "ECMAScript" is changed into "MPEG-4 script" (occurs in section 5)

- moving some text to maintain page length

- new page number for section 7.2 (informative references) in ToC

Best regards,

Jan

"Trevor NG" <[email-masked]>
Sent by: 
[email-masked]
2003-09-04 03:56 AM

        To:     <[email-masked]>
        cc:     (bcc: Jan vanderMeer/EHV/CE/PHILIPS)
        Subject:        Re: [AVT] I-D ACTION:draft-ietf-avt-mpeg4-simple-08.txt
        Classification: 

Dear experts,

What is the major change from "draft-ietf-avt-mpeg4-simple-07.txt" to
"draft-ietf-avt-mpeg4-simple-08.txt"? Is there any change log for 
reference?

Thanks,
Trevor

----- Original Message ----- 
From: <[email-masked]>
To: <IETF-Announce:>
Cc: <[email-masked]>
Sent: Thursday, September 04, 2003 2:18 AM
Subject: [AVT] I-D ACTION:draft-ietf-avt-mpeg4-simple-08.txt

> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> This draft is a work item of the Audio/Video Transport Working Group of
the IETF.
>
> Title : RTP Payload Format for Transport of MPEG-4 Elementary
>                           Streams
> Author(s) : J. Van der Meer, D. Mackie, V. Swaminathan,
>                           D. Singer, P. Gentric
> Filename : draft-ietf-avt-mpeg4-simple-08.txt
> Pages : 41
> Date : 2003-9-3
>
> The MPEG Committee (ISO/IEC JTC1/SC29 WG11) is a working group in
> ISO that produced the MPEG-4 standard. MPEG defines tools to
> compress content such as audio-visual information into elementary
> streams. This specification defines a simple, but generic RTP
> payload format for transport of any non-multiplexed MPEG-4
> elementary stream.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-avt-mpeg4-simple-08.txt
>
> To remove yourself from the IETF Announcement list, send a message to
> ietf-announce-request with the word unsubscribe in the body of the
message.
>
> Internet-Drafts are also available by anonymous FTP. Login with the
username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> "get draft-ietf-avt-mpeg4-simple-08.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> [email-masked].
> In the body type:
> "FILE /internet-drafts/draft-ietf-avt-mpeg4-simple-08.txt".
>
> NOTE: The mail server at ietf.org can return the document in
> MIME-encoded form by using the "mpack" utility.  To use this
> feature, insert the command "ENCODING mime" before the "FILE"
> command.  To decode the response(s), you will need "munpack" or
> a MIME-compliant mail reader.  Different MIME-compliant mail readers
> exhibit different behavior, especially when dealing with
> "multipart" MIME messages (i.e. documents which have been split
> up into multiple messages), so check your local documentation on
> how to manipulate these messages.
>
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt